Summary: Front end for programs like "cdrecord" and "mkisofs"
Name: xcdroast
Version: 0.96e
Release: 2
Group: X11/Applications
Copyright: GPL
Url: http://www.fh-muenchen.de/rz/xcdroast
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.fh-muenchen.de/home/ze/rz/services/projects/xcdroast/src/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
CD-Writer-Program for X. Frontend for CD-related programs like 
"cdrecord" and "mkisofs".


%prep
%setup -q


%build
./configure --prefixdir /usr
make


%install
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,man/man1}
make      RPM_BUILD_ROOT=${RPM_BUILD_ROOT} install
strip    $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/bin/*

#%post
# Creates a nice set of devices, that are not usually defined on most
# distributions. These absolutely conform to the linux-devices standard.
#
#echo -n "Creating additional device-names: "
#for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
#	j = `echo abcdefghijklmnop | cut -c $i`
#	mknod /dev/sg$j c 21 $i -m 600 2>/dev/null
#	mknod /dev/sg$i c 21 $i -m 600 2>/dev/null
#	mknod /dev/sr$i b 11 $i -m 640 2>/dev/null
#done
#echo "Done."


%files
%defattr(-,root,root)
%doc COPYING Changes MAKEDEVICES.sh README.* %{name}-%{version}.lsm
/usr/bin/xcdroast
/usr/man/man1/xcdroast.1
/usr/lib/xcdroast-0.96e


%clean
rm -rf $RPM_BUILD_ROOT

